SplPriorityQueue::extract
SplPriorityQueue::isEmpty
SplPriorityQueue
PHP Manual

# SplPriorityQueue::insert

(PHP 5 >= 5.3.0)

SplPriorityQueue::insert — Inserts an element in the queue by sifting it up.

### Beschreibung

void SplPriorityQueue::insert ( mixed `$value` , mixed `$priority` )

Insert `value` with the priority `priority` in the queue.

### Parameter-Liste

`value`

  The value to insert.

`priority`

  The associated priority.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

SplPriorityQueue::extract
SplPriorityQueue::isEmpty
SplPriorityQueue
PHP Manual